import os

import testinfra.utils.ansible_runner

import warnings
warnings.filterwarnings("ignore", category=DeprecationWarning)

testinfra_hosts = testinfra.utils.ansible_runner.AnsibleRunner(
    os.environ['MOLECULE_INVENTORY_FILE']).get_hosts('all')


def test_bitwarden_rs_running(host):
    bitwarden_rs = host.docker("bitwarden_rs")

    assert bitwarden_rs.is_running


def test_bitwarden_rs_socket(host):
    # Verify the socket is listening for HTTP traffic
    assert host.socket("tcp://127.0.0.1:80").is_listening


def test_bitwarden_rs_conn_error(host):
    code = int(host.run("curl -s -w '%{http_code}' http://localhost/alive -o /dev/null").stdout)
    body = host.run("curl -sX GET http://localhost/").stdout

    assert code == 200
    assert "Bitwarden Web Vault" in body
